Create Stream

Create a new Stream - this endpoint is for creation purposes only and does not allow you to configure the stream itself. Use the PUT-Endpoint instead for configuration.

Creates a new stream.

Requires authentication.

Request

POST /stream

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
titlestringYesDisplay title. Choose a descriptive name for easy identification.
boostFactornumberNoBoost factor for items in this stream. Range: -99 to 99. 0 means no boosting is applied. Positive values boost items up; negative values push them down.

Example Request

{
  "title": "Featured Products",
  "boostFactor": 50
}

Response

Returns the created stream object.

Example Response

{
  "id": 3,
  "title": "Featured Products",
  "boostFactor": 50
}
Body Params
string

The title is purely for communcation purposes. Choose a name here that will make it easy for you to recognize the stream again later.

number

The boost to apply to the stream. This can be a positive and negative value between -99 and 99. If the value is set to 0, no boosting will be applied to the stream.

Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!